$(document).ready(function() {
    let welfareRecieved = false;
    var DIALOG_ID = {
        WELFARE: 0, // 福利页面
        BIND: 1, // 绑定角色
        SUCCESS: 3, // 领取成功
        HASGET: 4, // 已经领取过福利了
        FAIL: 5, // 领取失败；服务器开小差
    };

    // 使用事件委托，绑定在 document 上，委托给目标元素
    $(document).on("click", ".welfare", function() {
        if (welfareRecieved) {
            showPopup(DIALOG_ID.HASGET);
            return;
        }
        showPopup(DIALOG_ID.WELFARE);
    });

    $(document).on("click", ".welfare_get_dialog .button", function() {
        welfareRecieved = true;
        showPopup(DIALOG_ID.SUCCESS);
    });
});